Closed Bug 953543 Opened 7 years ago Closed 7 years ago

Double clicking on a group in buddy list should hide / display it

Categories

(Instantbird :: Contacts window, enhancement)

0.1.2
enhancement
Not set
normal

Tracking

(Not tracked)

RESOLVED FIXED

People

(Reporter: romain, Assigned: florian)

Details

Attachments

(1 file)

*** Original post on bio 92 at 2008-08-11 02:22:00 UTC ***

When we double-click on a group of contacts in buddy list, it would be nice that it hides or displays that group, and when hidden, it can add on the right of the group name the online buddy count of that group over the overall buddy count for that group.


Example1 (group displayed) :

Friends
 Mario
 Luigi
 Sonic


Example2 (group hidden) :

Friends (3/42)
*** Original post on bio 92 by Michael <Prescience500 AT gmail.com> at 2008-11-02 22:34:16 UTC ***

Maybe groups could always display the number of people online in the group and the total number of people in the group. Maybe changing the text in the groupname somehow might be another possible way of showing whether or not the group has been collapsed.
Attached patch PatchSplinter Review
*** Original post on bio 92 as attmnt 126 at 2008-11-05 16:41:00 UTC ***

Close/Open groups on double click.

Persist the value of the "closed" attribute, and read it from localstore when re-adding a group.
*** Original post on bio 92 at 2008-11-06 02:31:37 UTC ***

Pushed as 444:cf9be248e818.

Let's do the buddy count thing in another bug and mark this FIXED.
Status: NEW → RESOLVED
Closed: 7 years ago
Resolution: --- → FIXED
Target Milestone: --- → 0.1.3
You need to log in before you can comment on or make changes to this bug.